using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace Howest.SchemaDiscovery.Configuration
{
	public class DbSchemaProvidersSection : ConfigurationSection
	{
		ConfigurationPropertyCollection _properties;

		protected override ConfigurationPropertyCollection Properties
		{
			get
			{
				if (_properties == null)
				{
					ConfigurationPropertyCollection props = new ConfigurationPropertyCollection();
					props.Add(new ConfigurationProperty("", typeof(DbSchemaProviderElementCollection), null, null, null, ConfigurationPropertyOptions.IsDefaultCollection | ConfigurationPropertyOptions.IsRequired));
					_properties = props;
				}
				return _properties;
			}
		}

		[ConfigurationProperty("", Options= ConfigurationPropertyOptions.IsDefaultCollection | ConfigurationPropertyOptions.IsRequired)]
		public DbSchemaProviderElementCollection DbSchemaProviders
		{
			get
			{
				return (DbSchemaProviderElementCollection)base[""];
			}
		}
	}
}
